// 011 u_test_u_c_basic_file
// 31 dec 2001

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_test_u_c_basic_file;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation
  uses u_c_display
     , u_file
     , u_c_basic_file
     ;

    {$R *.DFM}

  
    const k_log_path= 'log\';
          k_log_name= 'log_c_basic_file.txt';

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_display_log(k_log_path+ k_log_name);
      end; // FormCreate

    const k_file_name= '..\test\u_c_basic_file\u_test_u_c_basic_file.pas';

    procedure TForm1.Button1Click(Sender: TObject);
      begin
        check_path_and_name(k_file_name);
        if FileExists(k_file_name)
          then display('ok')
          else display('pb');

        with c_basic_file.create_basic_file('self', k_file_name) do
        begin
          copy_file('..\test\u_c_basic_file\copie.txt');
          Free;
        end; // with c_basic_file
      end;

end.
